Bug 982371 - [abrt] sssd-common-1.10.0-12.fc19.beta2: talloc_abort: Process /usr/libexec/sssd/sssd_be was killed by signal 6 (SIGABRT)
Summary: [abrt] sssd-common-1.10.0-12.fc19.beta2: talloc_abort: Process /usr/libexec/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:155aca0669c7033acd9ce5a1e1d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 20:15 UTC by mikepaige2
Modified: 2020-05-02 17:23 UTC (History)
8 users (show)

Fixed In Version: sssd-1.10.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-30 17:50:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (13.98 KB, text/plain)
2013-07-08 20:15 UTC, mikepaige2
no flags Details
File: cgroup (154 bytes, text/plain)
2013-07-08 20:15 UTC, mikepaige2
no flags Details
File: core_backtrace (1.87 KB, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: dso_list (7.59 KB, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: environ (164 bytes, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: maps (35.30 KB, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: open_fds (1.48 KB, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-07-08 20:16 UTC, mikepaige2
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2989 0 None None None 2020-05-02 17:22:00 UTC
Github SSSD sssd issues 3034 0 None None None 2020-05-02 17:23:38 UTC

Description mikepaige2 2013-07-08 20:15:47 UTC
Version-Release number of selected component:
sssd-common-1.10.0-12.fc19.beta2

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_be --domain win.ad.jhu.edu --debug-to-files
crash_function: talloc_abort
executable:     /usr/libexec/sssd/sssd_be
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0
var_log_messages: Jul  5 09:37:54 mpaige1-fedora abrt[1850]: Saved core dump of pid 1835 (/usr/libexec/sssd/sssd_be) to /var/tmp/abrt/ccpp-2013-07-05-09:37:53-1835 (19218432 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 talloc_abort at ../talloc.c:338
 #3 talloc_abort_access_after_free at ../talloc.c:357
 #4 talloc_chunk_from_ptr at ../talloc.c:378
 #6 talloc_get_name at ../talloc.c:1253
 #7 talloc_check_name at ../talloc.c:1272
 #8 nsupdate_child_handler at src/providers/dp_dyndns.c:890
 #9 child_invoke_callback at src/util/child_common.c:580
 #10 tevent_common_loop_immediate at ../tevent_immediate.c:135
 #11 epoll_event_loop_once at ../tevent_epoll.c:912
 #12 std_event_loop_once at ../tevent_standard.c:112

Potential duplicate: bug 908759

Comment 1 mikepaige2 2013-07-08 20:15:52 UTC
Created attachment 770655 [details]
File: backtrace

Comment 2 mikepaige2 2013-07-08 20:15:57 UTC
Created attachment 770656 [details]
File: cgroup

Comment 3 mikepaige2 2013-07-08 20:16:00 UTC
Created attachment 770657 [details]
File: core_backtrace

Comment 4 mikepaige2 2013-07-08 20:16:04 UTC
Created attachment 770658 [details]
File: dso_list

Comment 5 mikepaige2 2013-07-08 20:16:08 UTC
Created attachment 770659 [details]
File: environ

Comment 6 mikepaige2 2013-07-08 20:16:11 UTC
Created attachment 770660 [details]
File: limits

Comment 7 mikepaige2 2013-07-08 20:16:15 UTC
Created attachment 770661 [details]
File: maps

Comment 8 mikepaige2 2013-07-08 20:16:18 UTC
Created attachment 770662 [details]
File: open_fds

Comment 9 mikepaige2 2013-07-08 20:16:22 UTC
Created attachment 770663 [details]
File: proc_pid_status

Comment 10 Jakub Hrozek 2013-07-08 20:18:45 UTC
Good evening,

thank you for reporting the issue. I believe this is already known upstream as ticket #1947 but I will do more investigation tomorrow.

Comment 11 Jakub Hrozek 2013-07-09 13:55:46 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1947

Comment 12 Fedora Update System 2013-07-09 14:11:05 UTC
sssd-1.10.0-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11899/sssd-1.10.0-13.fc19

Comment 13 Jakub Hrozek 2013-07-09 14:31:59 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1992

Comment 14 Jakub Hrozek 2013-07-09 14:34:04 UTC
Sorry I confused two upstream tickets, this is actually 1992

Comment 15 Jakub Hrozek 2013-07-17 13:05:25 UTC
Fixed upstream:

master: 711bba7e2f72a816774effa389ad13bcc46e7843
sssd-1-10: 800c9402f74b1587aeddeb8160fb7d775b7cde25

Comment 16 Fedora Update System 2013-07-18 19:46:20 UTC
sssd-1.10.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sssd-1.10.1-1.fc19

Comment 17 Fedora Update System 2013-07-20 09:45:33 UTC
Package sssd-1.10.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.10.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13278/sssd-1.10.1-1.fc19
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-07-30 17:50:50 UTC
sssd-1.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.